# Class CIM_DirectoryContainsFile
extends CIM_Component

Specifies the hierarchical arrangement of LogicalFiles in a Directory.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_DirectoryContainsFile

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Description | string | Specifies the hierarchical arrangement of LogicalFiles in a Directory.
UMLPackagePath | string | CIM::System::FileElements
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_DirectoryContainsFile | CIM_Directory
PartComponent | CIM_DirectoryContainsFile | CIM_LogicalFile

## Class Methods